commit:     75e76551db74d759ba8eea406261af7082b63add
Author:     Christoph Mende <angelos <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 18 05:11:24 2015 +0000
Commit:     Christoph Mende <angelos <AT> gentoo <DOT> org>
CommitDate: Fri Sep 18 05:18:43 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=75e76551

dev-dotnet/notify-sharp: bump EAPI to 5, migrate to mono-env, add support for 
mono-4

Package-Manager: portage-2.2.20.1

 .../notify-sharp-0.4.0_pre20090305-r1.ebuild       | 37 ++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/dev-dotnet/notify-sharp/notify-sharp-0.4.0_pre20090305-r1.ebuild 
b/dev-dotnet/notify-sharp/notify-sharp-0.4.0_pre20090305-r1.ebuild
new file mode 100644
index 0000000..113d89a
--- /dev/null
+++ b/dev-dotnet/notify-sharp/notify-sharp-0.4.0_pre20090305-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools eutils mono-env
+
+MY_P=${PN}-${PV#*_pre}
+
+DESCRIPTION="a C# client implementation for Desktop Notifications"
+HOMEPAGE="http://www.ndesk.org/NotifySharp";
+SRC_URI="mirror://gentoo/${MY_P}.tar.bz2"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="doc"
+
+RDEPEND=">=dev-lang/mono-1.1.13
+       >=dev-dotnet/gtk-sharp-2.10.1
+       >=dev-dotnet/dbus-sharp-0.6:1.0
+       >=dev-dotnet/dbus-sharp-glib-0.4:1.0
+       >=x11-libs/libnotify-0.4.5"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+       epatch "${FILESDIR}/${PN}-0.4.0_pre20080912-control-docs.patch" \
+               "${FILESDIR}/${P}-dbus-sharp.patch"
+       sed -i -e 's/gmcs/mcs/' configure.ac || die
+       eautoreconf
+}
+
+src_configure() {
+       econf $(use_enable doc docs)
+}

Reply via email to